%global vmoddir %{_libdir}/varnish/vmods

Name:           vmod-querystring
Version:        1.0.3
Release:        1%{?dist}
Group:          System Environment/Libraries
Summary:        QueryString module for Varnish Cache
URL:            https://github.com/dridi/libvmod-querystring
License:        GPLv3+

Source:         %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python-docutils
BuildRequires:  varnish >= 4.1.3
BuildRequires:  pkgconfig(varnishapi) >= 4.1.3

Requires:       varnish >= 4.1.3


%description
The purpose of this module is to give you a fine-grained control over a URL's
query-string in Varnish Cache. It's possible to remove the query-string, clean
it, sort its parameters or filter it to only keep a subset of them.

This can greatly improve your hit ratio and efficiency with Varnish, because
by default two URLs with the same path but different query-strings are also
different. This is what the RFCs mandate but probably not what you usually
want for your web site or application.

A query-string is just a character string starting after a question mark in a
URL. But in a web context, it is usually a structured key/values store encoded
with the `application/x-www-form-urlencoded' media type. This module deals
with this kind of query-strings.


%prep
%setup -q


%build
%configure --disable-silent-rules CFLAGS="%{optflags}"
%make_build


%install
%make_install
rm %{buildroot}%{vmoddir}/*.la


%check
%make_build check


%files
%license LICENSE
%{_mandir}/man?/*
%{_docdir}/*
%{vmoddir}/*.so


%changelog
* Sat Oct 21 2017 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.3-1
- Bump to 1.0.3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Apr 26 2017 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.2-1
- Bump to 1.0.2
- Set the optflags at configure time

* Sun Sep 25 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.0.1-1
- Initial spec.
